Managed Virtual Networks - Get

Gets a managed Virtual Network.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/managedVirtualNetworks/{managedVirtualNetworkName}?api-version=2018-06-01

URI Parameters

Name In Required Type Description
factoryName
path True

string

minLength: 3
maxLength: 63
pattern: ^[A-Za-z0-9]+(?:-[A-Za-z0-9]+)*$

The factory name.

managedVirtualNetworkName
path True

string

minLength: 1
maxLength: 127
pattern: ^([_A-Za-z0-9]|([_A-Za-z0-9][-_A-Za-z0-9]{0,125}[_A-Za-z0-9]))$

Managed virtual network name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
if-none-match

string

ETag of the managed Virtual Network entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.

Responses

Name Type Description
200 OK

ManagedVirtualNetworkResource

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ManagedVirtualNetworks_Get

Sample request

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/managedVirtualNetworks/exampleManagedVirtualNetworkName?api-version=2018-06-01

Sample response

Date: Mon, 22 Apr 2019 18:33:47 GMT
X-Content-Type-Options: nosniff
x-ms-correlation-request-id: 9e6639e9-bece-4c0c-85de-4cadc30a73a6
x-ms-ratelimit-remaining-subscription-reads: 11997
x-ms-request-id: 9e6639e9-bece-4c0c-85de-4cadc30a73a6
{
  "name": "exampleManagedVirtualNetworkName",
  "type": "Microsoft.DataFactory/factories/managedVirtualNetworks",
  "etag": "15003c4f-0000-0200-0000-5cbe090b0000",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/managedVirtualNetworks/exampleManagedVirtualNetworkName",
  "properties": {
    "alias": "exampleFactoryName",
    "vNetId": "5a7bd944-87e6-454a-8d4d-9fba446514fd"
  }
}

Definitions

Name Description
CloudError

The object that defines the structure of an Azure Data Factory error response.

createdByType

The type of identity that created the resource.

ManagedVirtualNetwork

A managed Virtual Network associated with the Azure Data Factory

ManagedVirtualNetworkResource

Managed Virtual Network resource type.

systemData

Metadata pertaining to creation and last modification of the resource.

CloudError

The object that defines the structure of an Azure Data Factory error response.

Name Type Description
error.code

string

Error code.

error.details

CloudError[]

Array with additional error details.

error.message

string

Error message.

error.target

string

Property name/path in request associated with error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ManagedVirtualNetwork

A managed Virtual Network associated with the Azure Data Factory

Name Type Description
alias

string

Managed Virtual Network alias.

vNetId

string

Managed Virtual Network ID.

ManagedVirtualNetworkResource

Managed Virtual Network resource type.

Name Type Description
etag

string

"If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

ManagedVirtualNetwork

Managed Virtual Network properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.